org.springframework.data.web

## Class PagedResourcesAssemblerArgumentResolver

- java.lang.Object
- - org.springframework.data.web.PagedResourcesAssemblerArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver

    public class PagedResourcesAssemblerArgumentResolver
    extends Object
    implements HandlerMethodArgumentResolver

`HandlerMethodArgumentResolver` to allow injection of `PagedResourcesAssembler` into Spring MVC controller methods.

Since:
  1.6
Author:
  Oliver Gierke, Nick Williams, Christoph Strobl

### Constructor Summary

Constructors
Constructor and Description
`PagedResourcesAssemblerArgumentResolver(HateoasPageableHandlerMethodArgumentResolver resolver, org.springframework.hateoas.server.MethodLinkBuilderFactory<?> linkBuilderFactory)` Creates a new `PagedResourcesAssemblerArgumentResolver` using the given `PageableHandlerMethodArgumentResolver` and `MethodLinkBuilderFactory`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `resolveArgument(MethodParameter parameter, ModelAndViewContainer mavContainer, NativeWebRequest webRequest, WebDataBinderFactory binderFactory)`
`boolean` `supportsParameter(MethodParameter parameter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PagedResourcesAssemblerArgumentResolver

    public PagedResourcesAssemblerArgumentResolver(HateoasPageableHandlerMethodArgumentResolver resolver,
                                                   @Nullable
                                                   org.springframework.hateoas.server.MethodLinkBuilderFactory<?> linkBuilderFactory)

Creates a new `PagedResourcesAssemblerArgumentResolver` using the given `PageableHandlerMethodArgumentResolver` and `MethodLinkBuilderFactory`.

Parameters:
  `resolver` - can be null.
  `linkBuilderFactory` - can be null, will be defaulted to a `WebMvcLinkBuilderFactory`.

### Method Detail

#### supportsParameter

    public boolean supportsParameter(MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`

#### resolveArgument

    @Nonnull
    public Object resolveArgument(MethodParameter parameter,
                                           @Nullable
                                           ModelAndViewContainer mavContainer,
                                           NativeWebRequest webRequest,
                                           @Nullable
                                           WebDataBinderFactory binderFactory)

Specified by:
  `resolveArgument` in interface `HandlerMethodArgumentResolver`